library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_signed.all;
use ieee.std_logic_arith.all;

entity tb_compito6 is
end tb_compito6;

architecture tbbcompito6 of tb_compito6 is

component operazione6 is
	port ( din : in std_logic_vector(15 downto 0);
	clk,start: in std_logic;
	ris: out std_logic_vector(15 downto 0);
	fine: out std_logic);
end component;

signal din,ris:std_logic_vector(15 downto 0);
signal clk,start,fine: std_logic;

begin
	dut: operazione6 port map (din,clk,start,ris,fine);
	
	process
     begin
	  clk <= '0';
	  wait for 5 ns;
	  clk <= '1';
	  wait for 5 ns;
    end process;
	
	process
	begin
		start <= '0';
		wait for 1 ns;
		start <= '1';
		wait for 10 ns;
		start <= '0';
		wait for 39 ns;
	end process;
	
	din <= conv_std_logic_vector(0,16) after 1 ns,  -- op lr
	       conv_std_logic_vector(34,16) after 11 ns,	-- d0
		   
		   conv_std_logic_vector(1,16) after 51 ns,  -- op and
	       conv_std_logic_vector(19,16) after 61 ns,	-- d0
		 
		   
		   conv_std_logic_vector(2,16) after 101 ns, -- op add
	       conv_std_logic_vector(5,16) after 111 ns,	-- d0
		  		   
		   conv_std_logic_vector(3,16) after 151 ns, -- op sr
	       conv_std_logic_vector(2,16) after 161 ns;	-- d0
		   
		   
end tbbcompito6;

